FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 10-04-2008, 05:30 PM
"Arttu V."
 
Default Still kde problems with monolithic->split

On 10/4/08, meino.cramer@gmx.de <meino.cramer@gmx.de> wrote:
> No, it does not help. The current state (excerpt) is:
<snip/>
> Total: 23 packages (3 upgrades, 4 downgrades, 15 new, 1 in new slot, 18
> blocks), Size of downloads: 63,220 kB

There is one blocker less, which is slightly better but certainly not
a full solution. What worries me is if your portage doesn't find the
kdegraphics package to remove -- as you wrote in your later email to
Alan.

Does it find any other installed monolithic kde packages to remove at
all, i.e., what does this command print out (should be all on one
line/command, probably gets wrapped in email client):

emerge -pvC kdebase kdeaddons kdeadmin kdeartwork kdeedu kdegames
kdegraphics kdemultimedia kdenetwork kdepim kdetoys kdeutils kdewebdev
kdeaccessibility

The printout should tell us if you have any remnants of monolithic kde
packages left.

--
Arttu V.
 
Old 10-04-2008, 05:44 PM
Dirk Heinrichs
 
Default Still kde problems with monolithic->split

Am Samstag, 4. Oktober 2008 18:55:28 schrieb meino.cramer@gmx.de:

> yesno: emerge -C removes it (?) physically, but it is still reported
> by emerge...

The following may be just a wild guess, but who knows...

You state you did an emerge -C of some packages, but the packages are still
reported as present by portage/emerge, right? Did you ever check that the
files from those packages are really gone? If they are, did you check wether
only the entries for these packages are still in the portage database
(/var/db/pkg)?

HTH...

Dirk
 
Old 10-04-2008, 05:47 PM
 
Default Still kde problems with monolithic->split

Arttu V. <arttuv69@gmail.com> [08-10-04 19:38]:
> On 10/4/08, meino.cramer@gmx.de <meino.cramer@gmx.de> wrote:
> > No, it does not help. The current state (excerpt) is:
> <snip/>
> > Total: 23 packages (3 upgrades, 4 downgrades, 15 new, 1 in new slot, 18
> > blocks), Size of downloads: 63,220 kB
>
> There is one blocker less, which is slightly better but certainly not
> a full solution. What worries me is if your portage doesn't find the
> kdegraphics package to remove -- as you wrote in your later email to
> Alan.
>
> Does it find any other installed monolithic kde packages to remove at
> all, i.e., what does this command print out (should be all on one
> line/command, probably gets wrapped in email client):
>
> emerge -pvC kdebase kdeaddons kdeadmin kdeartwork kdeedu kdegames
> kdegraphics kdemultimedia kdenetwork kdepim kdetoys kdeutils kdewebdev
> kdeaccessibility
>
> The printout should tell us if you have any remnants of monolithic kde
> packages left.
>
> --
> Arttu V.
>

The output:

solfire:/root>emerge -pvC kdebase kdeaddons kdeadmin kdeartwork kdeedu kdegames kdegraphics kdemultimedia kdenetwork kdepim kdetoys kdeutils kdewebdev kdeaccessibility

>>> These are the packages that would be unmerged:

--- Couldn't find 'kdebase' to unmerge.

--- Couldn't find 'kdeaccessibility' to unmerge.

kde-base/kdeaddons
selected: 3.4.3 3.5.9
protected: none
omitted: none

kde-base/kdeadmin
selected: 3.4.3 3.5.9
protected: none
omitted: none

kde-base/kdeedu
selected: 3.4.3-r10 3.5.9
protected: none
omitted: none

kde-base/kdenetwork
selected: 3.4.3 3.5.9
protected: none
omitted: none

kde-base/kdegames
selected: 3.4.3 3.5.9
protected: none
omitted: none

kde-base/kdeartwork
selected: 3.4.3 3.5.9
protected: none
omitted: none

kde-base/kdepim
selected: 3.4.3 3.5.9-r1
protected: none
omitted: none

kde-base/kdemultimedia
selected: 3.4.3 3.5.9
protected: none
omitted: none

kde-base/kdewebdev
selected: 3.4.3-r1 3.5.9
protected: none
omitted: none

kde-base/kdetoys
selected: 3.4.3 3.5.9
protected: none
omitted: none

kde-base/kdegraphics
selected: 3.5.9
protected: none
omitted: none

kde-base/kdeutils
selected: 3.4.3-r1 3.5.9-r1
protected: none
omitted: none


This take a too short time to do anything physically on
my harddisc...

Then I did a emerge -pvuNDt world
and beside other things I found again:

[blocks B ] kde-base/kfind:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/khotkeys:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kicker:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdepasswd:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/konqueror:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcheckpass:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdialog:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdebase-data:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdeprint:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdm:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/khotkeys-3.5.9, kde-base/kdesktop-3.5.9-r1, kde-base/khelpcenter-3.5.9, kde-base/kdeprint-3.5.9, kde-base/kdialog-3.5.9-r1, kde-base/kdebase-data-3.5.9, kde-base/libkonq-3.5.9, kde-base/kicker-3.5.9, kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kdebase-kioslaves-3.5.9, kde-base/kdesu-3.5.9, kde-base/kfind-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9, kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9)
[blocks B ] kde-base/kdesktop:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcontrol:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcminit:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/khelpcenter:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/libkonq:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdebase-kioslaves:3.5 (is blocking kde-base/kdebase-3.5.9-r3)

Looks like something has gone...fingers crossed.
How to kick the others ?
Again with emerge -C <package> ???

I better ask in beforehand ... trying to avoid the next knot in logic



mcc





--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-04-2008, 05:55 PM
Dirk Heinrichs
 
Default Still kde problems with monolithic->split

Am Samstag, 4. Oktober 2008 19:47:49 schrieb meino.cramer@gmx.de:

> solfire:/root>emerge -pvC kdebase kdeaddons kdeadmin kdeartwork kdeedu
> kdegames kdegraphics kdemultimedia kdenetwork kdepim kdetoys kdeutils
> kdewebdev kdeaccessibility
>
> This take a too short time to do anything physically on
> my harddisc...

Sure, because of -p(retend). It did nothing but show you what it _would_ do.
Now run the command again without -p. This will remove 3.5.9 _and_ 3.4.3.

Bye...

Dirk
 
Old 10-04-2008, 06:18 PM
 
Default Still kde problems with monolithic->split

Dirk Heinrichs <dirk.heinrichs@online.de> [08-10-04 20:00]:
> Am Samstag, 4. Oktober 2008 19:47:49 schrieb meino.cramer@gmx.de:
>
> > solfire:/root>emerge -pvC kdebase kdeaddons kdeadmin kdeartwork kdeedu
> > kdegames kdegraphics kdemultimedia kdenetwork kdepim kdetoys kdeutils
> > kdewebdev kdeaccessibility
> >
> > This take a too short time to do anything physically on
> > my harddisc...
>
> Sure, because of -p(retend). It did nothing but show you what it _would_ do.
> Now run the command again without -p. This will remove 3.5.9 _and_ 3.4.3.
>
> Bye...
>
> Dirk
>
>

ok, they are a part of yesterday...

But: What has caused this logical circle? I will try to avoid it...

Thanks you all for your help!

Keep hacking!
mcc


--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-04-2008, 11:11 PM
Alan McKinnon
 
Default Still kde problems with monolithic->split

On Saturday 04 October 2008 19:44:36 Dirk Heinrichs wrote:
> Am Samstag, 4. Oktober 2008 18:55:28 schrieb meino.cramer@gmx.de:
> > yesno: emerge -C removes it (?) physically, but it is still reported
> > by emerge...
>
> The following may be just a wild guess, but who knows...
>
> You state you did an emerge -C of some packages, but the packages are still
> reported as present by portage/emerge, right? Did you ever check that the
> files from those packages are really gone? If they are, did you check
> wether only the entries for these packages are still in the portage
> database (/var/db/pkg)?

<Alan realises he's been daft, slaps head>

Do you have any other versions of KDE in a higher SLOT?

If you SLOTted 4.<something> and 3.5, then unmerging the package without using
a version/slot number will possibly remove the higher version number.



--
alan dot mckinnon at gmail dot com
 
Old 10-05-2008, 05:19 AM
 
Default Still kde problems with monolithic->split

It getting more confused:

This morning I did a

emerge -pvuNDt world

again and it shows me nothing suspicious.

But doing a

emerge -pv kde

still reports:

Calculating dependencies... done!
[ebuild N ] kde-base/kdebase-3.5.9-r3 USE="branding cups hal ldap opengl pam -arts -debug -ieee1394 -java -joystick -kdeenablefinal -kdehiddenvisibility -lm_sensors -logitech-mouse -openexr -samba -xcomposite -xinerama -xscreensaver" 0 kB
[ebuild N ] kde-base/kdemultimedia-3.5.9 USE="alsa encode gstreamer mp3 vorbis -akode -arts -audiofile -debug -flac -kdeenablefinal -theora -xine -xinerama" 0 kB
[ebuild N ] app-crypt/qca-1.0-r3 0 kB
[ebuild N ] kde-base/kdeedu-3.5.9 USE="-arts -debug -kdeenablefinal -kig-scripting -solver -xinerama" 0 kB
[ebuild N ] kde-base/kdetoys-3.5.9 USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild N ] kde-base/kdewebdev-3.5.9 USE="-arts -debug -doc -kdeenablefinal -tidy -xinerama" 0 kB
[ebuild N ] kde-base/kdegames-3.5.9 USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild N ] kde-base/kdepim-3.5.9-r1 USE="-arts -debug -gnokii -kdeenablefinal -pda -xinerama" 0 kB
[ebuild N ] kde-base/kdenetwork-3.5.9 USE="ssl -arts -debug -jingle -kdeenablefinal -kdehiddenvisibility -rdesktop -sametime -slp -wifi -xinerama" 0 kB
[ebuild N ] kde-base/kdeartwork-3.5.9 USE="opengl -arts -debug -kdeenablefinal -xinerama -xscreensaver" 0 kB
[ebuild N ] kde-base/kdeutils-3.5.9-r1 USE="crypt -arts -debug -kdeenablefinal -kdehiddenvisibility (-pbbuttonsd) -snmp -xinerama -xscreensaver" 0 kB
[ebuild N ] kde-base/kdeadmin-3.5.9 USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild N ] kde-base/kdegraphics-3.5.9 USE="opengl pdf -arts -debug -gphoto2 -imlib -kdeenablefinal -kpathsea -openexr -povray -scanner -xinerama" 0 kB
[ebuild N ] kde-base/kdeaddons-3.5.9 USE="berkdb sdl -arts -debug -kdeenablefinal -xinerama" 0 kB
[ebuild N ] kde-base/kde-3.5.9 USE="-accessibility" 0 kB
[blocks B ] kde-base/khelpcenter:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcminit:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcontrol:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdesktop:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesktop-3.5.9-r1, kde-base/khelpcenter-3.5.9, kde-base/kdialog-3.5.9-r1, kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kicker-3.5.9, kde-base/kdesu-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9, kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9)
[blocks B ] kde-base/kdm:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdialog:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcheckpass:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/konqueror:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdepasswd:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kicker:3.5 (is blocking kde-base/kdebase-3.5.9-r3)

it reports packages of kde to be updated, which are not shown with


emerge -pvuNDt world

same goes for

emerge -pv gnome

which shows me a bunch of gnome related packages to be updated, which
are not shown with emerge -pvuNDt world.
It seems the "world" of emerge is smaller as my system ?!?

What is wrong here? What did I so badly wrong?

Kind regards,
Meino Cramer





Alan McKinnon <alan.mckinnon@gmail.com> [08-10-04 15:19]:
> On Saturday 04 October 2008 15:08:36 meino.cramer@gmx.de wrote:
> > Hi,
> >
> > some time ago I asked what to do if kde blocks kde...
> > The according HowTo (emergeing from monolithic
> > to split kde install) says one has first
> > to unmerge the old monolithic installation of
> > kde and the install the split stuff.
> >
> > But regardless what I am doing...
> > emerge -C <blocking item>
> > shows me a rmoving action on my harddisc and
> > the following
> > emerge --pretend --color=n --verbose --update --deep world
> > still shows that item being blocking new stuff.
> > I think _physically_ the old stuff is rmoved but
> > from emerge's point of view it is still there.
> >
> > How can I fix that problem ?
>
> You didn't give any output, so I have to guess. Most likely a different
> package is still installed which needs the same kde you just removed and that
> in turn conflicts with what you want to install now.
>
> Post the full output of 'emerge -pvuNDt world' and we'll deciphyer it for you
>
> --
> alan dot mckinnon at gmail dot com
>

--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-05-2008, 05:28 AM
 
Default Still kde problems with monolithic->split

Sorry, I mistyped some tings:

I meant (hrrrmm):
The /blocking/ items are only shown with
emerge -pv kde.
and
emerge .pv gnome shows package to be updated.

emerge -pvuNDt world shows no blocking items nor
gnome packages to be updated.

...its too early in the morning (7.28 am).

Meino



meino.cramer@gmx.de <meino.cramer@gmx.de> [08-10-05 07:21]:
> It getting more confused:
>
> This morning I did a
>
> emerge -pvuNDt world
>
> again and it shows me nothing suspicious.
>
> But doing a
>
> emerge -pv kde
>
> still reports:
>
> Calculating dependencies... done!
> [ebuild N ] kde-base/kdebase-3.5.9-r3 USE="branding cups hal ldap opengl pam -arts -debug -ieee1394 -java -joystick -kdeenablefinal -kdehiddenvisibility -lm_sensors -logitech-mouse -openexr -samba -xcomposite -xinerama -xscreensaver" 0 kB
> [ebuild N ] kde-base/kdemultimedia-3.5.9 USE="alsa encode gstreamer mp3 vorbis -akode -arts -audiofile -debug -flac -kdeenablefinal -theora -xine -xinerama" 0 kB
> [ebuild N ] app-crypt/qca-1.0-r3 0 kB
> [ebuild N ] kde-base/kdeedu-3.5.9 USE="-arts -debug -kdeenablefinal -kig-scripting -solver -xinerama" 0 kB
> [ebuild N ] kde-base/kdetoys-3.5.9 USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
> [ebuild N ] kde-base/kdewebdev-3.5.9 USE="-arts -debug -doc -kdeenablefinal -tidy -xinerama" 0 kB
> [ebuild N ] kde-base/kdegames-3.5.9 USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
> [ebuild N ] kde-base/kdepim-3.5.9-r1 USE="-arts -debug -gnokii -kdeenablefinal -pda -xinerama" 0 kB
> [ebuild N ] kde-base/kdenetwork-3.5.9 USE="ssl -arts -debug -jingle -kdeenablefinal -kdehiddenvisibility -rdesktop -sametime -slp -wifi -xinerama" 0 kB
> [ebuild N ] kde-base/kdeartwork-3.5.9 USE="opengl -arts -debug -kdeenablefinal -xinerama -xscreensaver" 0 kB
> [ebuild N ] kde-base/kdeutils-3.5.9-r1 USE="crypt -arts -debug -kdeenablefinal -kdehiddenvisibility (-pbbuttonsd) -snmp -xinerama -xscreensaver" 0 kB
> [ebuild N ] kde-base/kdeadmin-3.5.9 USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
> [ebuild N ] kde-base/kdegraphics-3.5.9 USE="opengl pdf -arts -debug -gphoto2 -imlib -kdeenablefinal -kpathsea -openexr -povray -scanner -xinerama" 0 kB
> [ebuild N ] kde-base/kdeaddons-3.5.9 USE="berkdb sdl -arts -debug -kdeenablefinal -xinerama" 0 kB
> [ebuild N ] kde-base/kde-3.5.9 USE="-accessibility" 0 kB
> [blocks B ] kde-base/khelpcenter:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kcminit:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kcontrol:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kdesktop:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesktop-3.5.9-r1, kde-base/khelpcenter-3.5.9, kde-base/kdialog-3.5.9-r1, kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kicker-3.5.9, kde-base/kdesu-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9, kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9)
> [blocks B ] kde-base/kdm:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kdialog:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kcheckpass:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/konqueror:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kdepasswd:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kicker:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
>
> it reports packages of kde to be updated, which are not shown with
>
>
> emerge -pvuNDt world
>
> same goes for
>
> emerge -pv gnome
>
> which shows me a bunch of gnome related packages to be updated, which
> are not shown with emerge -pvuNDt world.
> It seems the "world" of emerge is smaller as my system ?!?
>
> What is wrong here? What did I so badly wrong?
>
> Kind regards,
> Meino Cramer
>
>
>
>
>
> Alan McKinnon <alan.mckinnon@gmail.com> [08-10-04 15:19]:
> > On Saturday 04 October 2008 15:08:36 meino.cramer@gmx.de wrote:
> > > Hi,
> > >
> > > some time ago I asked what to do if kde blocks kde...
> > > The according HowTo (emergeing from monolithic
> > > to split kde install) says one has first
> > > to unmerge the old monolithic installation of
> > > kde and the install the split stuff.
> > >
> > > But regardless what I am doing...
> > > emerge -C <blocking item>
> > > shows me a rmoving action on my harddisc and
> > > the following
> > > emerge --pretend --color=n --verbose --update --deep world
> > > still shows that item being blocking new stuff.
> > > I think _physically_ the old stuff is rmoved but
> > > from emerge's point of view it is still there.
> > >
> > > How can I fix that problem ?
> >
> > You didn't give any output, so I have to guess. Most likely a different
> > package is still installed which needs the same kde you just removed and that
> > in turn conflicts with what you want to install now.
> >
> > Post the full output of 'emerge -pvuNDt world' and we'll deciphyer it for you
> >
> > --
> > alan dot mckinnon at gmail dot com
> >
>
> --
> Please don't send me any Word- or Powerpoint-Attachments
> unless it's absolutely neccessary. - Send simply Text.
> See http://www.gnu.org/philosophy/no-word-attachments.html
> In a world without fences and walls nobody needs gates and windows.
>

--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-05-2008, 06:54 AM
Dirk Heinrichs
 
Default Still kde problems with monolithic->split

Am Sonntag, 5. Oktober 2008 07:19:37 schrieb meino.cramer@gmx.de:

> It getting more confused:
>
> This morning I did a
> [...]
> emerge -pv kde

Now I am confused. Thought you wanted to install kde-meta???

> still reports:
>
> Calculating dependencies... done!
> [ebuild N ] kde-base/kdebase-3.5.9-r3 USE="branding cups hal ldap
> opengl pam -arts -debug -ieee1394 -java -joystick -kdeenablefinal
> -kdehiddenvisibility -lm_sensors -logitech-mouse -openexr -samba
> -xcomposite -xinerama -xscreensaver" 0 kB [ebuild N ]
> kde-base/kdemultimedia-3.5.9 USE="alsa encode gstreamer mp3 vorbis -akode
> -arts -audiofile -debug -flac -kdeenablefinal -theora -xine -xinerama" 0 kB
> [ebuild N ] app-crypt/qca-1.0-r3 0 kB
> [ebuild N ] kde-base/kdeedu-3.5.9 USE="-arts -debug -kdeenablefinal
> -kig-scripting -solver -xinerama" 0 kB [ebuild N ]
> kde-base/kdetoys-3.5.9 USE="-arts -debug -kdeenablefinal
> -kdehiddenvisibility -xinerama" 0 kB [ebuild N ]
> kde-base/kdewebdev-3.5.9 USE="-arts -debug -doc -kdeenablefinal -tidy
> -xinerama" 0 kB [ebuild N ] kde-base/kdegames-3.5.9 USE="-arts -debug
> -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB [ebuild N ]
> kde-base/kdepim-3.5.9-r1 USE="-arts -debug -gnokii -kdeenablefinal -pda
> -xinerama" 0 kB [ebuild N ] kde-base/kdenetwork-3.5.9 USE="ssl -arts
> -debug -jingle -kdeenablefinal -kdehiddenvisibility -rdesktop -sametime
> -slp -wifi -xinerama" 0 kB [ebuild N ] kde-base/kdeartwork-3.5.9
> USE="opengl -arts -debug -kdeenablefinal -xinerama -xscreensaver" 0 kB
> [ebuild N ] kde-base/kdeutils-3.5.9-r1 USE="crypt -arts -debug
> -kdeenablefinal -kdehiddenvisibility (-pbbuttonsd) -snmp -xinerama
> -xscreensaver" 0 kB [ebuild N ] kde-base/kdeadmin-3.5.9 USE="-arts
> -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB [ebuild N ]
> kde-base/kdegraphics-3.5.9 USE="opengl pdf -arts -debug -gphoto2 -imlib
> -kdeenablefinal -kpathsea -openexr -povray -scanner -xinerama" 0 kB [ebuild
> N ] kde-base/kdeaddons-3.5.9 USE="berkdb sdl -arts -debug
> -kdeenablefinal -xinerama" 0 kB [ebuild N ] kde-base/kde-3.5.9
> USE="-accessibility" 0 kB
> [blocks B ] kde-base/khelpcenter:3.5 (is blocking
> kde-base/kdebase-3.5.9-r3) [blocks B ] kde-base/kcminit:3.5 (is
> blocking kde-base/kdebase-3.5.9-r3) [blocks B ] kde-base/kcontrol:3.5
> (is blocking kde-base/kdebase-3.5.9-r3) [blocks B ]
> kde-base/kdesktop:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B
> ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesktop-3.5.9-r1,
> kde-base/khelpcenter-3.5.9, kde-base/kdialog-3.5.9-r1,
> kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kicker-3.5.9,
> kde-base/kdesu-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9,
> kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9) [blocks B ]
> kde-base/kdm:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B ]
> kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B ]
> kde-base/kdialog:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B
> ] kde-base/kcheckpass:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B
> ] kde-base/konqueror:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> [blocks B ] kde-base/kdepasswd:3.5 (is blocking
> kde-base/kdebase-3.5.9-r3) [blocks B ] kde-base/kicker:3.5 (is blocking
> kde-base/kdebase-3.5.9-r3)
>
> it reports packages of kde to be updated

Nope, not updated. It shows new installs (N). In addition, it shows that you
already have some split ebuilds installed which block the monolithic ones.

I would suggest that you simply install kde-meta first this should solve your
problems.

HTH...

Dirk
 
Old 10-05-2008, 08:10 AM
 
Default Still kde problems with monolithic->split

solfire:/root>emerge kde-meta
Calculating dependencies -!!! Digest verification failed:
!!! /usr/portage/kde-base/kdebase-startkde/kdebase-startkde-4.1.2-r1.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 4061
!!! Expected: 4064
... done!
>>> Verifying ebuild Manifests...

!!! Digest verification failed:
!!! /usr/portage/kde-base/kdebase-startkde/kdebase-startkde-4.1.2-r1.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 4061
!!! Expected: 4064




Dirk Heinrichs <dirk.heinrichs@online.de> [08-10-05 09:02]:
> Am Sonntag, 5. Oktober 2008 07:19:37 schrieb meino.cramer@gmx.de:
>
> > It getting more confused:
> >
> > This morning I did a
> > [...]
> > emerge -pv kde
>
> Now I am confused. Thought you wanted to install kde-meta???
>
> > still reports:
> >
> > Calculating dependencies... done!
> > [ebuild N ] kde-base/kdebase-3.5.9-r3 USE="branding cups hal ldap
> > opengl pam -arts -debug -ieee1394 -java -joystick -kdeenablefinal
> > -kdehiddenvisibility -lm_sensors -logitech-mouse -openexr -samba
> > -xcomposite -xinerama -xscreensaver" 0 kB [ebuild N ]
> > kde-base/kdemultimedia-3.5.9 USE="alsa encode gstreamer mp3 vorbis -akode
> > -arts -audiofile -debug -flac -kdeenablefinal -theora -xine -xinerama" 0 kB
> > [ebuild N ] app-crypt/qca-1.0-r3 0 kB
> > [ebuild N ] kde-base/kdeedu-3.5.9 USE="-arts -debug -kdeenablefinal
> > -kig-scripting -solver -xinerama" 0 kB [ebuild N ]
> > kde-base/kdetoys-3.5.9 USE="-arts -debug -kdeenablefinal
> > -kdehiddenvisibility -xinerama" 0 kB [ebuild N ]
> > kde-base/kdewebdev-3.5.9 USE="-arts -debug -doc -kdeenablefinal -tidy
> > -xinerama" 0 kB [ebuild N ] kde-base/kdegames-3.5.9 USE="-arts -debug
> > -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB [ebuild N ]
> > kde-base/kdepim-3.5.9-r1 USE="-arts -debug -gnokii -kdeenablefinal -pda
> > -xinerama" 0 kB [ebuild N ] kde-base/kdenetwork-3.5.9 USE="ssl -arts
> > -debug -jingle -kdeenablefinal -kdehiddenvisibility -rdesktop -sametime
> > -slp -wifi -xinerama" 0 kB [ebuild N ] kde-base/kdeartwork-3.5.9
> > USE="opengl -arts -debug -kdeenablefinal -xinerama -xscreensaver" 0 kB
> > [ebuild N ] kde-base/kdeutils-3.5.9-r1 USE="crypt -arts -debug
> > -kdeenablefinal -kdehiddenvisibility (-pbbuttonsd) -snmp -xinerama
> > -xscreensaver" 0 kB [ebuild N ] kde-base/kdeadmin-3.5.9 USE="-arts
> > -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB [ebuild N ]
> > kde-base/kdegraphics-3.5.9 USE="opengl pdf -arts -debug -gphoto2 -imlib
> > -kdeenablefinal -kpathsea -openexr -povray -scanner -xinerama" 0 kB [ebuild
> > N ] kde-base/kdeaddons-3.5.9 USE="berkdb sdl -arts -debug
> > -kdeenablefinal -xinerama" 0 kB [ebuild N ] kde-base/kde-3.5.9
> > USE="-accessibility" 0 kB
> > [blocks B ] kde-base/khelpcenter:3.5 (is blocking
> > kde-base/kdebase-3.5.9-r3) [blocks B ] kde-base/kcminit:3.5 (is
> > blocking kde-base/kdebase-3.5.9-r3) [blocks B ] kde-base/kcontrol:3.5
> > (is blocking kde-base/kdebase-3.5.9-r3) [blocks B ]
> > kde-base/kdesktop:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B
> > ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesktop-3.5.9-r1,
> > kde-base/khelpcenter-3.5.9, kde-base/kdialog-3.5.9-r1,
> > kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kicker-3.5.9,
> > kde-base/kdesu-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9,
> > kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9) [blocks B ]
> > kde-base/kdm:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B ]
> > kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B ]
> > kde-base/kdialog:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B
> > ] kde-base/kcheckpass:3.5 (is blocking kde-base/kdebase-3.5.9-r3) [blocks B
> > ] kde-base/konqueror:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
> > [blocks B ] kde-base/kdepasswd:3.5 (is blocking
> > kde-base/kdebase-3.5.9-r3) [blocks B ] kde-base/kicker:3.5 (is blocking
> > kde-base/kdebase-3.5.9-r3)
> >
> > it reports packages of kde to be updated
>
> Nope, not updated. It shows new installs (N). In addition, it shows that you
> already have some split ebuilds installed which block the monolithic ones.
>
> I would suggest that you simply install kde-meta first this should solve your
> problems.
>
> HTH...
>
> Dirk
>

--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 

Thread Tools




All times are GMT. The time now is 08:22 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org